#version 430 compatibility

layout( location=5 ) uniform  int XRESS;
layout( location=6 ) uniform  int YRESS;
layout(pixel_center_integer) in vec4 gl_FragCoord;

void main()
{
	vec4 p = gl_FragCoord;
	float cx = 0.85*(p.x/XRESS-0.5);
	float cy = 0.55*(p.y/YRESS-0.5);
	float rc = 1-2*sqrt(cx*cx+cy*cy);
	//rc=1.0-rc;

	vec4 col = vec4(rc,rc,rc,1);
	gl_FragColor = col;
}